Bug 479825 - osa-dispatcher starts before oracle-xe
osa-dispatcher starts before oracle-xe
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Milan Zazrivec
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-01-13 08:00 EST by Milan Zazrivec
Modified: 2009-09-17 03:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2009-01-13 08:00:21 EST
Description of problem:
* new Spacewalk 0.4 installation
* yum install jabberd osa-dispatcher
* machine reboot
* on startup:

Starting osa-dispatcher: sh: dbhome: command not found
RHN 1259 2009/01/13 14:02:29 +02:00: ('Connection attempt failed', 12541, 'ORA-12541: TNS:no listener\n')
RHN 1259 2009/01/13 14:02:29 +02:00: ('Error caught:',)
RHN 1259 2009/01/13 14:02:29 +02:00: ('Traceback (most recent call last):\n  File "/usr/share/rhn/osad/jabber_lib.py", line 120, in main\n    self.setup_config(config)\n  File "/usr/share/rhn/osad/osa_dispatcher.py", line 82, in setup_config\n    rhnSQL.initDB()\n  File "/usr/share/rhn/server/rhnSQL/__init__.py", line 99, in initDB\n    __init__DB(backend, host, port, username, password, database)\n  File "/usr/share/rhn/server/rhnSQL/__init__.py", line 52, in __init__DB\n    __DB.connect()\n  File "/usr/share/rhn/server/rhnSQL/driver_cx_Oracle.py", line 332, in connect\n    raise apply(sql_base.SQLConnectError, err_args)\nSQLConnectError: (12541, \'ORA-12541: TNS:no listener\\n\', \'xe\', \'Connection_Connect(): server attach\')\n',)
[  OK  ]
Starting taskomatic:  Starting RHN Taskomatic...
[  OK  ]
Starting Oracle Net Listener.
Starting Oracle Database 10g Express Edition Instance.



Version-Release number of selected component (if applicable):
osa-dispatcher-5.9.1-1
Comment 1 Michael Mráka 2009-01-13 09:55:02 EST
Fixed in bug 479826 - git commits
commit 1bc6f9bdb32408d90ebccad32f2cbb8f5aa93296
    Automatic commit of package [spacewalk-backend] release [0.4.13-1].
commit 3d89afc195a75346c78ce9657c0d0ab2fb0af84c
    479826 - removed dbhome (no need for ORACLE_HOME in instantclient)
Comment 2 Milan Zazrivec 2009-01-13 10:58:54 EST
(In reply to comment #1)
> Fixed in bug 479826 - git commits
> commit 1bc6f9bdb32408d90ebccad32f2cbb8f5aa93296
>     Automatic commit of package [spacewalk-backend] release [0.4.13-1].
> commit 3d89afc195a75346c78ce9657c0d0ab2fb0af84c
>     479826 - removed dbhome (no need for ORACLE_HOME in instantclient)

These commits fixed just the 
"Starting osa-dispatcher: sh: dbhome: command not found"
message, not the order in which the services start. I'm moving the
status back to NEW.
Comment 3 Jesus M. Rodriguez 2009-02-24 16:17:23 EST
The services are ordered correctly in the startup script. the database is specified BEFORE osa-dispatcher.
Comment 4 Milan Zazrivec 2009-03-09 06:32:18 EDT
# runlevel
N 3
# pwd
/etc/rc3.d
# ls *oracle-xe *osa-dispatcher
S76osa-dispatcher  S80oracle-xe
Comment 5 Jesus M. Rodriguez 2009-03-10 18:07:06 EDT
Satellite's embedded oracle uses S75oracle and K24oracle
But oracle-xe uses S80oracle-xe and K05oracle-xe
Comment 6 Jesus M. Rodriguez 2009-03-10 21:38:25 EDT
In order to make this work for both scenarios we should make osa-dispatcher
S81osa-dispatcher
K04osa-dispatcher
Comment 7 Jesus M. Rodriguez 2009-03-11 08:54:09 EDT
fixed in 252c3207ca0fdc601d687fc3f62fb49648d84b01
Comment 8 Jesus M. Rodriguez 2009-04-03 09:50:23 EDT
find . -name *osa-dispatcher*
./rc3.d/S81osa-dispatcher
./rc0.d/K04osa-dispatcher
./rc1.d/K04osa-dispatcher
./init.d/osa-dispatcher
./rc6.d/K04osa-dispatcher
./rc5.d/S81osa-dispatcher
./rc4.d/S81osa-dispatcher
./rc2.d/S81osa-dispatcher
Comment 9 Jesus M. Rodriguez 2009-04-14 10:12:07 EDT
Spacewalk 0.5 released.
Comment 10 Miroslav Suchý 2009-09-17 03:08:56 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.